Cancel resource pending plan

Auth

Cancels the pending plan of a Resource belonging to a given Deployment.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind enum required

The kind of resource

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Query parameters

force_delete boolean · default: false

When true, deletes the pending plan instead of attempting a graceful cancellation. The default is false.

ignore_missing boolean · default: false

When true, returns successfully, even when plans are missing. The default is false.

Responses

Standard Deployment Resource Crud Response

application/json
id string required

The id of the deployment

kind string required

The kind of the stateless resource

ref_id string required

The reference id of the resource